Create an Alias
curl --request POST \
--url https://{projectHost}/collections/{collectionName}/aliases \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"aliasName": "production-read",
"target": {
"kind": "tag",
"name": "validated-2026-09"
}
}
'import requests
url = "https://{projectHost}/collections/{collectionName}/aliases"
payload = {
"aliasName": "production-read",
"target": {
"kind": "tag",
"name": "validated-2026-09"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({aliasName: 'production-read', target: {kind: 'tag', name: 'validated-2026-09'}})
};
fetch('https://{projectHost}/collections/{collectionName}/aliases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alias": {
"aliasId": "alias-id",
"aliasName": "production-read",
"targetKind": "TAG",
"targetName": "validated-2026-09",
"targetId": "tag-id",
"aliasRevision": 0,
"dangling": false,
"createdAt": 1788336000000
}
}{
"message": "Invalid request"
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}{
"message": "Resource already exists"
}{
"message": "<string>"
}{
"message": "Too many requests"
}{
"message": "Internal server error"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Branches, tags & aliases
Create an alias
Create an alias that targets a branch or tag.
POST
/
collections
/
{collectionName}
/
aliases
Create an Alias
Authorizations
Project API Key.
Path Parameters
Collection name.
Body
application/json
Response
Alias created.
Show child attributes
Show child attributes
Was this page helpful?